Prepare an avatar for realtime
Warm or register the avatar cache so the first realtime turn starts fast. Call this once before a session. Requires scope realtime:write.
Authorization
apiKey AuthorizationBearer <token>
TIC API key as a bearer token: Authorization: Bearer tic_live_... or tic_test_.... Create keys in the dashboard at /platform/dashboard or via POST /api/v1/api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/realtime/prepare" \ -H "Content-Type: application/json" \ -d '{ "avatar_id": "string" }'{ "avatar_id": "string", "renderer_avatar_id": "string", "model_id": "string", "backend_id": "string", "status": "ready", "registered": true, "source_kind": "portrait", "timings": { "property1": 0, "property2": 0 }, "video_cache": {}}{ "error": "string", "status": 0, "code": "string", "retryable": true, "billingUrl": "string"}{ "error": "string", "status": 0, "code": "string", "retryable": true, "billingUrl": "string"}{ "error": "string", "status": 0, "code": "string", "retryable": true, "billingUrl": "string"}{ "error": "string", "status": 0, "code": "string", "retryable": true, "billingUrl": "string"}